com.google.cloud.dataflow.sdk.transforms.join

## Class CoGbkResult.CoGbkResultCoder

- java.lang.Object
- - com.google.cloud.dataflow.sdk.coders.StandardCoder<CoGbkResult>
  - - com.google.cloud.dataflow.sdk.transforms.join.CoGbkResult.CoGbkResultCoder

All Implemented Interfaces:
  Coder<CoGbkResult>, Serializable

Enclosing class:
  CoGbkResult

    public static class CoGbkResult.CoGbkResultCoder
    extends StandardCoder<CoGbkResult>

A `Coder` for `CoGbkResult`s.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.coders.Coder

`Coder.Context, Coder.NonDeterministicException`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`com.google.cloud.dataflow.sdk.util.CloudObject` `asCloudObject()` Returns the `CloudObject` that represents this `Coder`.
`CoGbkResult` `decode(InputStream inStream, Coder.Context context)` Decodes a value of type `T` from the given input stream in the given context.
`void` `encode(CoGbkResult value, OutputStream outStream, Coder.Context context)` Encodes the given value of type `T` onto the given output stream in the given context.
`boolean` `equals(Object object)`
`List<? extends Coder<?>>` `getCoderArguments()` If this is a `Coder` for a parameterized type, returns the list of `Coder`s being used for each of the parameters, or returns `null` if this cannot be done or this is not a parameterized type.
`List<? extends Coder<?>>` `getComponents()` Returns the list of `Coders` that are components of this `Coder`.
`int` `hashCode()`
`static CoGbkResult.CoGbkResultCoder` `of(CoGbkResultSchema schema, com.google.cloud.dataflow.sdk.transforms.join.UnionCoder unionCoder)` Returns a `CoGbkResult.CoGbkResultCoder` for the given schema and `UnionCoder`.
`static CoGbkResult.CoGbkResultCoder` `of(List<Coder<?>> components, CoGbkResultSchema schema)`
`void` `verifyDeterministic()` Throw `Coder.NonDeterministicException` if the coding is not deterministic.

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.StandardCoder

`consistentWithEquals, getAllowedEncodings, getEncodedElementByteSize, getEncodingId, isRegisterByteSizeObserverCheap, registerByteSizeObserver, structuralValue, toString, verifyDeterministic, verifyDeterministic`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### of

    public static CoGbkResult.CoGbkResultCoder of(CoGbkResultSchema schema,
                                                  com.google.cloud.dataflow.sdk.transforms.join.UnionCoder unionCoder)

Returns a `CoGbkResult.CoGbkResultCoder` for the given schema and `UnionCoder`.

#### of

    public static CoGbkResult.CoGbkResultCoder of(List<Coder<?>> components,
                                                  CoGbkResultSchema schema)

#### getCoderArguments

    public List<? extends Coder<?>> getCoderArguments()

Description copied from interface: `Coder`
If this is a `Coder` for a parameterized type, returns the list of `Coder`s being used for each of the parameters, or returns `null` if this cannot be done or this is not a parameterized type.

#### getComponents

    public List<? extends Coder<?>> getComponents()

Description copied from class: `StandardCoder`
Returns the list of `Coders` that are components of this `Coder`.

Overrides:
  `getComponents` in class `StandardCoder<CoGbkResult>`

#### asCloudObject

    public com.google.cloud.dataflow.sdk.util.CloudObject asCloudObject()

Description copied from interface: `Coder`
Returns the `CloudObject` that represents this `Coder`.

Specified by:
  `asCloudObject` in interface `Coder<CoGbkResult>`
Overrides:
  `asCloudObject` in class `StandardCoder<CoGbkResult>`

#### encode

    public void encode(CoGbkResult value,
                       OutputStream outStream,
                       Coder.Context context)
                throws CoderException,
                       IOException

Description copied from interface: `Coder`
Encodes the given value of type `T` onto the given output stream in the given context.

Throws:
  `CoderException` - if the value could not be encoded for some reason
  `IOException` - if writing to the `OutputStream` fails for some reason

#### decode

    public CoGbkResult decode(InputStream inStream,
                              Coder.Context context)
                       throws CoderException,
                              IOException

Description copied from interface: `Coder`
Decodes a value of type `T` from the given input stream in the given context. Returns the decoded value.

Throws:
  `CoderException` - if the value could not be decoded for some reason
  `IOException` - if reading from the `InputStream` fails for some reason

#### equals

    public boolean equals(Object object)

Description copied from class: `StandardCoder`

Overrides:
  `equals` in class `StandardCoder<CoGbkResult>`
Returns:
  `true` if the two `StandardCoder` instances have the same class and equal components.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `StandardCoder<CoGbkResult>`

#### verifyDeterministic

    public void verifyDeterministic()
                             throws Coder.NonDeterministicException

Description copied from interface: `Coder`
Throw `Coder.NonDeterministicException` if the coding is not deterministic.

In order for a `Coder` to be considered deterministic, the following must be true:

- two values that compare as equal (via `Object.equals()` or `Comparable.compareTo()`, if supported) have the same encoding.
- the `Coder` always produces a canonical encoding, which is the same for an instance of an object even if produced on different computers at different times.

Throws:
  `Coder.NonDeterministicException` - if this coder is not deterministic.